extensions:
    webkul-prestshop-connector-credential-edit-form:
        module:  webkul/prestashopconnector/form/configuration

    webkul-prestshop-connector-credential-edit-user-navigation:
        module: pim/menu/user-navigation
        parent: webkul-prestshop-connector-credential-edit-form
        targetZone: user-menu
        config:
            userAccount: pim_menu.user.user_account
            logout: pim_menu.user.logout
    
    webkul-prestshop-connector-credential-edit-title:
        module: pim/common/grid-title
        parent: webkul-prestshop-connector-credential-edit-form
        targetZone: title
        config:
            title: webkul_prestashop_connector.edit.credential
            countable: false

    # Save Button
    webkul-prestshop-connector-credential-edit-save:
        module: webkul/prestashopconnector/form/configuration/save
        parent: webkul-prestshop-connector-credential-edit-form
        targetZone: buttons
        position: 100
        config:
            postUrl: wk_prestashop_credentials_update

    # Store Mapping
    webkul-prestshop-connector-credential-edit-store-mapping:
        module: webkul/prestashopconnector/form/configuration/tab/storeMapping
        parent: webkul-prestshop-connector-credential-edit-form
        targetZone: content
        position: 130

    webkul-prestshop-connector-connector-credential-edit-state:
        module: pim/form/common/state
        parent: webkul-prestshop-connector-credential-edit-form
        targetZone: state
        position: 900
        config:
            entity: pim_enrich.entity.product.title
